/**
 * Copyright (c) 2013-present, Facebook, Inc.
 *
 * This source code is licensed under the MIT license found in the
 * LICENSE file in the root directory of this source tree.
 *
 * 
 * @format
 */

'use strict';

function BabelPluginRelayMacro(_ref) {
  var references = _ref.references,
      state = _ref.state,
      babel = _ref.babel;
  var t = babel.types;

  Object.keys(references).forEach(function (referenceKey) {
    references[referenceKey].forEach(function (reference) {
      var path = reference.parentPath;
      var ast = require('./getValidGraphQLTag')(path);
      if (ast) {
        require('./compileGraphQLTag')(t, path, state, ast);
      }
    });
  });
}

module.exports = require('babel-plugin-macros').createMacro(BabelPluginRelayMacro);